### Method

# Ggit Repository checkout_tree

#### Declaration [src]

    gboolean
    ggit_repository_checkout_tree (
      GgitRepository* repository,
      GgitObject* tree,
      GgitCheckoutOptions* options,
      GError** error
    )

#### Description [src]

Update files in the working tree to reflect the contents of the specified commit, tag or tree object. If `tree` is `NULL`, then the current HEAD of the repository will be used. If `options` is `NULL`, then the default checkout options will be used.

If the checkout was not successfull, then `error` will be set.

#### Parameters

`tree`

  Type: `GgitObject`

  A `GgitObject` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`options`

  Type: `GgitCheckoutOptions`

  A `GgitCheckoutOptions` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the checkout was successfull, `FALSE` otherwise.